package com.recordingblogs.orgenerator;

/**
This interface should be implemented by the graphical user interface for any generator 
to be used with the Orinj application generator framework.  The framework allows Orinj 
to create wave files with specific content (e.g., square waves, saw waves, sine sweeps).

You can redistribute this file, modify it, adapt it, translate it, and/or distribute 
the modified version, whether free of charge or not.  This file is distributed as is, without 
warranty of any kind.

@author      Anton Kamenov
@version     4.0
*/

public interface GeneratorPanelInterface 
{
	/**
	 * Update the graphical user interface panel with the data of the effect
	 * @since 4.0
	 */
	public abstract void updateData();
}
